Subject: Re: handling symlinks proposal

From: Christian Thaeter <[email-masked]>
Date: Sun, 26 Nov 2006 20:50:01 +0100

Linus Torvalds wrote:
> 
> On Sun, 26 Nov 2006, Christian Thaeter wrote:
>> Git currently keep symlinks always as symlink, I would like to see some
>> optional functionality when handling symlinks.
> 
> I can pretty much guarantee that you really don't want to do this, and 
> that you'd be _much_ happier using some explicit wrappers around git to 
> handle your special needs, than try to teach the SCM to handle symlinks 
> specially.

ok agreed, i'll write some script which one can use on a tree to
sanitize symlinks on given rules and/or be used as a pre-commit check.
That has the pretty same effect for my needs and is more sane like you
outlined.